"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DomainBuilder = void 0;
const domainPropertyBuilder_1 = require("./domainPropertyBuilder");
class DomainBuilder {
    nodeId;
    language;
    domainPropertyBuilder;
    constructor() {
        this.domainPropertyBuilder = [];
    }
    withNodeId(nodeId) {
        this.nodeId = nodeId;
        return this;
    }
    withLanguage(language) {
        this.language = language;
        return this;
    }
    addDomain() {
        const builder = new domainPropertyBuilder_1.DomainPropertyBuilder(this);
        this.domainPropertyBuilder.push(builder);
        return builder;
    }
    build() {
        return {
            nodeId: this.nodeId,
            language: this.language || '0',
            domains: this.domainPropertyBuilder.map((builder) => {
                return builder.build();
            })
        };
    }
}
exports.DomainBuilder = DomainBuilder;
//# sourceMappingURL=domainBuilder.js.map