"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MediaBuilder = void 0;
const mediaPropertyBuilder_1 = require("./mediaPropertyBuilder");
class MediaBuilder {
    id;
    properties;
    name;
    contentTypeAlias;
    parentId;
    action;
    mediaPropertyBuilder;
    constructor() {
        this.mediaPropertyBuilder = [];
    }
    addProperty() {
        const builder = new mediaPropertyBuilder_1.MediaPropertyBuilder(this);
        this.mediaPropertyBuilder.push(builder);
        return builder;
    }
    withName(name) {
        this.name = name;
        return this;
    }
    withContentTypeAlias(contentTypeAlias) {
        this.contentTypeAlias = contentTypeAlias;
        return this;
    }
    build() {
        return {
            id: this.id || '0',
            properties: this.mediaPropertyBuilder.map((builder) => {
                return builder.build();
            }),
            name: this.name,
            contentTypeAlias: this.contentTypeAlias,
            parentId: this.parentId || '-1',
            action: this.action || 'saveNew'
        };
    }
}
exports.MediaBuilder = MediaBuilder;
//# sourceMappingURL=mediaBuilder.js.map